Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034031
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2016-09-20 12:352016-09-29 23:30
ReportermalsasuaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revision17fbbe90b24e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034031: Return From Customer pick and edit is very slow with big data

Descriptionwith big data, the query executed during pick&edit process, in Return From Customer window, the response time is very high, more than 7 minutes.

We have applied the configuration
  - Add restriction in "Product - Pick / Edit Lines - RFC/RTV HQL Pick / Edit Lines" field to "Allow filtering by FK identifier" No
and we have applied the changeset of issue 32949, but the problem persists

Steps To Reproducewith big data
go to Return From Customer window
click in pick & Edit process
TagsNo tags attached.
Attached Fileslog file icon logPostgres.log [^] (22,513 bytes) 2016-09-20 12:49

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0032949 closedAtulOpenbravo performance problem in pick and execute of Return to Vendor: RFC/RTV HQL Pick / Edit Lines 
related to defect 0035682 closedmarkmm82 Return From Customer pick and edit is very slow with big data 
causes defect 0034839 closedrqueralta Not possible to select a shipment in RFC window if that shipment has not been created from an order. 

-  Notes
(0090375)
hgbot (developer)
2016-09-29 14:32

Repository: erp/devel/pi
Changeset: 17fbbe90b24ed38dc25ff8abdbf759bfffbbd134
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Sep 28 17:57:08 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/17fbbe90b24ed38dc25ff8abdbf759bfffbbd134 [^]

Fixes issue 34031: Return From Customer pick and edit is slow with big data

Removed unnescessary join with M_Inoutline, M_Inout.
Restructured HQL inserter query for discount using exists clause.

---
M src-db/database/sourcedata/AD_TABLE.xml
M src/org/openbravo/common/datasource/ReturnFromCustomerHQLInserter.java
M src/org/openbravo/common/datasource/ReturnToFromCustomerVendorHQLTransformer.java
---
(0090378)
aferraz (developer)
2016-09-29 14:34

Code review + Testing OK
(0090394)
hudsonbot (developer)
2016-09-29 23:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9f5481831914 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-09-20 12:35 malsasua New Issue
2016-09-20 12:35 malsasua Assigned To => Triage Finance
2016-09-20 12:35 malsasua Modules => Core
2016-09-20 12:35 malsasua Triggers an Emergency Pack => No
2016-09-20 12:38 malsasua Relationship added related to 0032949
2016-09-20 12:38 malsasua Description Updated View Revisions
2016-09-20 12:49 malsasua File Added: logPostgres.log
2016-09-20 17:04 aferraz Assigned To Triage Finance => AtulOpenbravo
2016-09-28 14:34 AtulOpenbravo Status new => scheduled
2016-09-29 14:32 hgbot Checkin
2016-09-29 14:32 hgbot Note Added: 0090375
2016-09-29 14:32 hgbot Status scheduled => resolved
2016-09-29 14:32 hgbot Resolution open => fixed
2016-09-29 14:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/17fbbe90b24ed38dc25ff8abdbf759bfffbbd134 [^]
2016-09-29 14:34 aferraz Review Assigned To => aferraz
2016-09-29 14:34 aferraz Note Added: 0090378
2016-09-29 14:34 aferraz Status resolved => closed
2016-09-29 14:34 aferraz Fixed in Version => 3.0PR16Q4
2016-09-29 23:30 hudsonbot Checkin
2016-09-29 23:30 hudsonbot Note Added: 0090394
2017-01-05 19:10 markmm82 Relationship added causes 0034839
2017-04-04 12:26 JONHM Relationship added related to 0035682


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker